shisa_principal_remove(3)

NAME
shisa_principal_remove - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_remove(Shisa * dbh, const char * realm, const char * principal);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of realm the principal belongs in.

const char * principal
    Name of principal to remove, may be NULL to indicate that the realm itself should be removed (requires that the realm to be empty).

DESCRIPTION
Remove all information stored in the database for given PRINCIPALREALM.

RETURN VALUE
Returns SHISA_OK if successful, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.